<?php

namespace App\Filament\Resources\Professeurs;

use App\Filament\Resources\Professeurs\Pages\CreateProfesseur;
use App\Filament\Resources\Professeurs\Pages\EditProfesseur;
use App\Filament\Resources\Professeurs\Pages\ListProfesseurs;
use App\Filament\Resources\Professeurs\Schemas\ProfesseurForm;
use App\Filament\Resources\Professeurs\Tables\ProfesseursTable;
use App\Models\Professeur;
use BackedEnum;
use Filament\Resources\Resource;
use Filament\Schemas\Schema;
use Filament\Support\Icons\Heroicon;
use Filament\Tables\Table;

class ProfesseurResource extends Resource
{
    protected static ?string $model = Professeur::class;

    protected static string|BackedEnum|null $navigationIcon = Heroicon::OutlinedRectangleStack;

    public static function form(Schema $schema): Schema
    {
        return ProfesseurForm::configure($schema);
    }

    public static function table(Table $table): Table
    {
        return ProfesseursTable::configure($table);
    }

    public static function getRelations(): array
    {
        return [
            //
        ];
    }

    public static function getPages(): array
    {
        return [
            'index' => ListProfesseurs::route('/'),
            'create' => CreateProfesseur::route('/create'),
            'edit' => EditProfesseur::route('/{record}/edit'),
        ];
    }
}
